E-MailRelay

Public Member Functions | List of all members
G::Md5Imp::digest Class Reference

A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC-1321. More...

Inheritance diagram for G::Md5Imp::digest:

## Public Member Functions
| digest (const std::string &s)
| digest (digest_state)
digest_state | state () const
void | add (const block &)

## Detailed Description

A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC-1321.

A digest can be calculated in one go from an arbitrarily-sized block of data, or incrementally from a series of 64-byte blocks. The 64-byte blocks must be passed as Md5Imp::block objects.

Definition at line 51 of file gmd5.cpp.

## Constructor & Destructor Documentation

## ◆ digest() [1/3]

G::Md5Imp::digest::digest | ( |  | ) |

Definition at line 180 of file gmd5.cpp.

## ◆ digest() [2/3]

G::Md5Imp::digest::digest | ( | const std::string & | s | ) |
| explicit

Definition at line 186 of file gmd5.cpp.

## ◆ digest() [3/3]

G::Md5Imp::digest::digest | ( | digest_state | d_in | ) |
| explicit

Definition at line 198 of file gmd5.cpp.

## Member Function Documentation

## ◆ add()

void G::Md5Imp::digest::add | ( | const block & | blk | ) |

Definition at line 229 of file gmd5.cpp.

## ◆ state()

G::Md5Imp::digest::digest_state G::Md5Imp::digest::state | ( |  | ) | const

Definition at line 215 of file gmd5.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gmd5.cpp